--- title: "Enable trust anchor" slug: "management-subaccount-enabletrustanchors" updated: 2026-09-17T10:05:32Z published: 2026-09-17T10:05:32Z canonical: "api.ncloud-docs.com/management-subaccount-enabletrustanchors" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Enable trust anchor Available in Classic and VPC Enable a trust anchor. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/trust-anchors/{trustAnchorId}/enable | ### Request headers For information about the headers common to all Sub Account APIs, see [Sub Account request headers](/docs/en/management-subaccount#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `trustAnchorId` | String | Required | Trust anchor ID - See [Get trust anchor list](/docs/en/management-subaccount-gettrustanchorlist). | ### Request example The request example is as follows: ``` curl --location --request POST 'https://externalaccess.apigw.ntruss.com/api/v1/trust-anchors/a271f5b5-****-****-****-bda95123e58e/enable' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `trustAnchorId` | String | - | Trust anchor ID | | `trustAnchorNrn` | String | - | NAVER Cloud Platform resource identification value for trust anchor | | `name` | String | - | Trust anchor name | | `description` | String | - | Trust anchor description | | `enabled` | Boolean | - | Status - `true` \| `false` - `true`: enabled - `false`: disabled | | `createTime` | String | - | Creation date and time - ISO 8601 format | | `updateTime` | String | - | Last modification date and time - ISO 8601 format | | `source` | Object | - | CA information | | `source.sourceType` | String | - | CA type - `NCP_PCA` \| `CERTIFICATE_BUNDLE` - `NCP_PCA`: when using NAVER Cloud Platform's Private CA - `CERTIFICATE_BUNDLE`: when using a CA created externally by the user | | `source.sourceData` | Object | - | CA target information | | `source.sourceData.caId` | Integer | - | NAVER Cloud Platform Private CA's ID - `sourceType`: if `NCP_PCA` | | `source.sourceData.x509CertificateData` | String | - | CA certificate data created by the user externally - PEM format - `sourceType`: if `CERTIFICATE_BUNDLE` | ### Response status codes For information about the HTTP status codes common to all Sub Account APIs, see [Sub Account response status codes](/docs/en/management-subaccount#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: - If source.sourceType is NCP_PCA ``` { "trustAnchorId": "a271f5b5-****-****-****-bda95123e58e", "trustAnchorNrn": "nrn:PUB:ExternalAccess::*******:TrustAnchor/a271f5b5-****-****-****-bda95123e58e", "name": "ta000", "description": "test", "enabled": true, "createTime": "2024-12-13T13:16:50.330726376+09:00", "updateTime": "2024-12-13T13:16:50.330726376+09:00", "source": { "sourceType": "NCP_PCA", "sourceData": { "caId": ***** } } } ``` - If source.sourceType is CERTIFICATE_BUNDLE ``` { "trustAnchorId": "a271f5b5-****-****-****-bda95123e58e", "trustAnchorNrn": "nrn:PUB:ExternalAccess::*******:TrustAnchor/a271f5b5-****-****-****-bda95123e58e", "name": "ta000", "description": "test", "enabled": true, "createTime": "2024-12-13T13:16:50.330726376+09:00", "updateTime": "2024-12-13T13:16:50.330726376+09:00", "source": { "sourceType": "CERTIFICATE_BUNDLE", "sourceData": { "x509CertificateData": "-----BEGIN CERTIFICATE-----\n{CA}\n-----END CERTIFICATE-----" } } } ```